#!/bin/sh
#
#	From processed data, run all the R scripts.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2017/11/11 18:54:42 $
#----------------------------------------------------------------------
echo "----------------------------------------------------------"
echo "Fig 5B. trembl ccdf"
cat	trembl_length_cdf.dat \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 300.0 && $1 < 30000.0 && $2 > 0. ) print log($1);}'	\
	> trembl_lengths_ti_uni_x.txt
cat	trembl_length_cdf.dat \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 300.0 && $1 < 30000.0 && $2 > 0. ) print log($2);}'	\
	> trembl_lengths_ti_uni_y.txt
Rscript	trembl_lengths_tail.R		> trembl_lengths_tail.anl
echo "----------------------------------------------------------"
echo "Fig 8A. software ai ccdf"
cat	cdf_universe_ai.dat \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 80.0 && $1 < 3500.0 ) print log($1);}'	\
	> uni_x.txt
cat	cdf_universe_ai.dat \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 80.0 && $1 < 3500.0 ) print log($2);}'	\
	> uni_y.txt

Rscript	plot_tail_software_ai.R		> plot_tail_software_ai.anl
echo "----------------------------------------------------------"
echo "Fig 8B. software ti ccdf"
cat	cdf_universe_ti.dat \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 200.0 && $1 < 68000.0 ) print log($1);}'	\
	> ti_uni_x.txt
cat	cdf_universe_ti.dat \
	| grep -v "^#" \
	| grep -v "^$" \
	| awk '{if ( $1 >= 200.0 && $1 < 68000.0 ) print log($2);}'	\
	> ti_uni_y.txt

Rscript	plot_tail_software_ti.R		> plot_tail_software_ti.anl
echo "----------------------------------------------------------"
echo "Fig 11B. music ti ccdf"
cat	music_unique_ti_cdf.dat \
	| grep -v "^#" \
	| awk '{if ( $1 > 100.0 && $1 <= 10000.0 ) print log($1);}'	\
	> music_unique_ti_cdf_x.txt
cat	music_unique_ti_cdf.dat \
	| grep -v "^#" \
	| awk '{if ( $1 > 100.0 && $1 <= 10000.0 ) print log($2);}'	\
	> music_unique_ti_cdf_y.txt

Rscript	music_lengths_tail.R		> music_lengths_tail.anl
echo "----------------------------------------------------------"
echo "Fig 13. Three Men in a boat ..."
cat letters_cdf.dat \
	| grep -v "^#" \
	| awk '{if ( $1 > 5.0 && $1 <= 30.0 ) print log($1);}'     \
	> threeMenInABoat_x.txt

cat letters_cdf.dat \
	| grep -v "^#" \
	| awk '{if ( $1 > 5.0 && $1 <= 30.0 ) print log($2);}'     \
	> threeMenInABoat_y.txt

Rscript plot_tail_threemen.R			> plot_tail_threemen.anl
echo "----------------------------------------------------------"
echo "Fig 14. universe ..."
convertRawDataToNumber.pl	< universe.txt		\
	| awk '{print $2;}' \
	| sort -rn \
	| awk '{i += 1; print  i, $1;}' \
	| awk '{if ( $1 >= 1 && $1 <= 83 ) print log($1);}' \
	> universe_x.txt

convertRawDataToNumber.pl	< universe.txt		\
	| awk '{print $2;}' \
	| sort -rn \
	| awk '{i += 1; print  i, $1;}' \
	| awk '{if ( $1 >= 1 && $1 <= 83 ) print log($2);}' \
	> universe_y.txt

Rscript universe.R					> universe.anl
echo "----------------------------------------------------------"
echo "Fig 15. seaWater ..."
convertRawDataToNumber.pl	< seaWater.txt		\
	| awk '{print $2;}' \
	| sort -rn \
	| awk '{i += 1; print  i, $1;}' \
	| awk '{if ( $1 >= 10 && $1 <= 72 ) print log($1);}' \
	> seaWater_x.txt

convertRawDataToNumber.pl	< seaWater.txt		\
	| awk '{print $2;}' \
	| sort -rn \
	| awk '{i += 1; print  i, $1;}' \
	| awk '{if ( $1 >= 10 && $1 <= 72 ) print log($2);}' \
	> seaWater_y.txt

Rscript seaWater.R					> seaWater.anl
