#!/bin/sh
#	Make the Trembl and software length distributions.
#
#	Revision:	$Revision: 1.2 $
#	Date:	$Date: 2017/11/11 18:55:11 $
#-------------------------------------------------------
TREMBLPAIRS=trembl_pairs.dat
CPAIRS=c_ti.raw

echo "Preparing individual eps files for Figure 1 ....."
echo "These will only match the paper if the correct downloaded datasets"
echo "are used from 1-downloadDataSets.sh.  Otherwise, they will be"
echo "approximately correct."
echo

if test ! -f normalise
then
#
#	Just in case.
#
	cc -o normalise normalise.c
fi

echo "#x, y"											> trembl_length_distribution.dat
cat $TREMBLPAIRS	| awk 'BEGIN{FS=","}{print $1;}' \
	| sort -n | uniq -c | awk '{print $2, $1;}'				>> trembl_length_distribution.dat
echo 												>> trembl_length_distribution.dat

echo "#x, y"											> trembl_length_cdf.dat
cat $TREMBLPAIRS	| awk 'BEGIN{FS=","}{print $1;}' \
	| sort -n | uniq -c | ./normalise ccdf 					>> trembl_length_cdf.dat
echo 												>> trembl_length_cdf.dat

echo "#x, y"											> pdf_c_ti.dat
cat $CPAIRS	| awk 'BEGIN{FS=","}{print $1;}' \
	| sort -n | uniq -c | awk '{print $2, $1;}'				>> pdf_c_ti.dat
echo 												>> pdf_c_ti.dat

gnuplot	trembl_length_distribution.gnu
gnuplot	pdflin_c_ti.gnu

mv	trembl_length_distribution.eps		fig_1A.eps
mv	pdflin_c_ti.eps					fig_1B.eps

echo "Graphs fig_1A.eps (trembl_length_distribution.eps) and fig_1B.eps (pdflin_c_ti.eps) are"
echo "now complete."
