#!/bin/sh
#	Generate model for full solution and upper bound.
#------------------------------------------------------------
#	Remember 1/beta is power-law slope of ti.  So smaller beta
#	here means steeper the power-law slope.  We must reduce beta and alpha
#	together to give balanced shape.
#
#	-p -s normalises it to a pdf and generates a straight line.
#
OPTP="-p -s -f"
./recurN.pl  -beta 0.8 -alpha 4 -timax 5000 $OPTP	> generateModelPDF_combined.dat
echo										>> generateModelPDF_combined.dat
echo										>> generateModelPDF_combined.dat
#
#	Produce linear and log full model.
#
cat	generateModelPDF_combined.gnu | sed 's/XRANGE/100/g' | sed 's/YRANGE/0.05/g'	> temp$$.gnu
gnuplot	temp$$.gnu
mv	generateModelPDF_combined.eps SM_fig_4A.eps

cat	generateModelPDF_combined.gnu | sed 's/XRANGE/1000/g' | sed 's/YRANGE/0.05/g'	> temp$$.gnu
gnuplot	temp$$.gnu
mv	generateModelPDF_combined.eps SM_fig_4B.eps

cat	generateModelPDF_single.gnu | sed 's/XRANGE/750/g' | sed 's/YRANGE/0.025/g'	> temp$$.gnu
gnuplot	temp$$.gnu
mv	generateModelPDF_combined.eps fig_3.eps

echo "Graphs fig_3.eps and from the Supplementary Methods, SM_fig_4A.eps and SM_fig_4B.eps are"
echo "now complete."

rm -f temp$$.gnu
