#!/bin/bash
#
#	Finds the Kingdom length distributions from SwissProt.
#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2017/11/09 15:08:28 $
#-------------------------------------------------------------------------
MEGATOK=swissprot_13-11.tok

if test ! -f $MEGATOK
then
	echo "$MEGATOK missing for some reason - see 2-prepareData.sh."
	exit
fi

echo "Preparing individual eps files for Figure 4 ....."
echo

for KING in ARCHAEA BACTERIA EUKARYOTA VIRUSES
do
	echo "#x, y"									> ${KING}_swissprot_length_distribution.dat
	cat $MEGATOK | grep "$KING" | awk 'BEGIN{FS=","}{print $3;}' \
		| sort -n | uniq -c | awk '{print $2, $1;}'		>> ${KING}_swissprot_length_distribution.dat
	echo											>> ${KING}_swissprot_length_distribution.dat

	echo "#x, y"									> ${KING}_swissprot_length_cdf.dat
	cat $MEGATOK | grep "$KING" | awk 'BEGIN{FS=","}{print $3;}' \
		| sort -n |  uniq -c | ./normalise ccdf			>> ${KING}_swissprot_length_cdf.dat
	echo											>> ${KING}_swissprot_length_cdf.dat

	gnuplot  ${KING}_swissprot_length_distribution.gnu

	mv ${KING}_swissprot_length_distribution.eps 	fig_4_${KING}.eps

	echo "Graph fig_4_${KING}.eps is complete."
done
