#!/bin/sh
#	Make the Trembl species length distributions.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2017/11/09 21:26:57 $
#-------------------------------------------------------
SPECIES=$1

TREMBLPAIRS=trembl_pairs.dat

echo "Preparing individual eps files for Figure 6 ....."
echo

for SPECIES in HUMAN MAIZE DROSI HALMA
do
	echo "#x, y"											> ${SPECIES}_trembl_length_distribution.dat
	cat $TREMBLPAIRS	| grep "$SPECIES" | awk 'BEGIN{FS=","}{print $1;}' \
		| uniq -c | awk '{print $2, $1;}'						>> ${SPECIES}_trembl_length_distribution.dat
	echo 												>> ${SPECIES}_trembl_length_distribution.dat

	echo "#x, y"											> ${SPECIES}_trembl_length_cdf.dat
	cat $TREMBLPAIRS	| grep "$SPECIES" | awk 'BEGIN{FS=","}{print $1;}' \
		| sort -n | uniq -c | ./normalise ccdf 					>> ${SPECIES}_trembl_length_cdf.dat
	echo 												>> ${SPECIES}_trembl_length_cdf.dat

	gnuplot	${SPECIES}_trembl_length_distribution.gnu

	mv	${SPECIES}_trembl_length_distribution.eps	fig_6_${SPECIES}.eps

	echo "Graph fig_6_${SPECIES}.eps is now complete."
done
