#!/usr/bin/perl
#	Data converter for numbers scraped from Wikipedia in N.Nx10-MM format.
#
#	Revision:	$Revision$
#	Date:	$Date$
#--------------------------------------------------------------------------
use	strict;

my	$count	= 0;

while( my $line = <STDIN> )
{
	my	@fields	= split( " ", $line );

	my	$number	= @fields[0];
	my	$symbol	= @fields[1];
	my	$name	= @fields[2];
	my	$famount	= @fields[3];

	my	$amount	= 0.0;

	++$count;
#
#	famount is strangely formatted.  Visually it looks like fraction 'x' 10 '-'? digits
#
#	Note that the appearance of x and - in the original is in some weird
#	Unicode runes so I just go for anything which isn't a number as a separator.
#
	if ( $famount =~ /([0-9.]+)([^0-9])+([0-9]+)([^0-9]+)?([0-9]+)?/ )
	{
		if ( defined $5 )
		{
#
#			It looks like 1.0x10-4, i.e. 1.0 10^(-4).
#
			my	$power	= - $5;
			$amount	= $1 * (10 ** $power);
		}
		else
		{
#
#			It looks like 1.0x104, i.e. 1.0 10^(4).
#
			my	$power	= $3 - 100;
			$amount	= $1 * (10 ** $power);
		}
	}

	printf "%d %.20f\n", $count, $amount;

#	printf "%.20f,%s\n", $amount, $symbol;
#	printf "Parts = %f,%d,%d; Value = %f\n", $1, $3, $5, $amount;
}
