#!/bin/bash
#
#	Plots universe of software ti and ai.
#
#-------------------------------------------------------------------------
if test $# -ne 1
then
	echo "Usage: $0 [ai|ti]"
	exit
fi

mode=$1

if [ ! $mode = "ai" -a ! $mode = "ti" ]; then
	echo "Mode must be ai or ti.  $mode entered."
	exit
fi
#---------------------------------------------------------------------
#	Combine all languages.
#
rm -f temp$$.dat
cat universe_$mode.raw		| sort -n | uniq -c	>> temp$$.dat
ncomps=`cat universe_$mode.raw | wc -l`
ncomps500=`cat universe_$mode.raw | awk '{if ( $1 <= 500 ) print $1;}' | wc -l`

echo "Total components                 = $ncomps"
echo "Total components <= 500 tokens   = $ncomps500"

rm -f cdf_universe_$mode.dat

cat temp$$.dat | normalise ccdf				>> cdf_universe_$mode.dat
echo 									>> cdf_universe_$mode.dat
echo 									>> cdf_universe_$mode.dat

rm -f temp$$.dat

gnuplot	cdf_universe_$mode.gnu
