#!/bin/sh
#	Make the Trembl length distribution.
#
#-------------------------------------------------------

if test $# -ne 1
then
	echo "Usage: $0 [Species eg HUMAN]"
	exit
fi

SPECIES=$1

TREMBLPAIRS=trembl_pairs.dat

if test ! -f $TREMBLPAIRS
then
	echo "File NOT found - $TREMBLPAIRS"
	exit
fi

echo "#x, y"											> ${SPECIES}_trembl_length_distribution.dat
cat $TREMBLPAIRS	| grep "$SPECIES" | awk 'BEGIN{FS=","}{print $1;}' \
	| uniq -c | awk '{print $2, $1;}'						>> ${SPECIES}_trembl_length_distribution.dat
echo 												>> ${SPECIES}_trembl_length_distribution.dat

echo "#x, y"											> ${SPECIES}_trembl_length_cdf.dat
cat $TREMBLPAIRS	| grep "$SPECIES" | awk 'BEGIN{FS=","}{print $1;}' \
	| sort -n | uniq -c | ./normalise ccdf 					>> ${SPECIES}_trembl_length_cdf.dat
echo 												>> ${SPECIES}_trembl_length_cdf.dat

cat	AAAA_trembl_length_distribution.gnu \
	| sed 's/AAAA/'"${SPECIES}"'/g'						> temp$$.gnu

gnuplot 	temp$$.gnu

cat	AAAA_trembl_length_logdistribution.gnu \
	| sed 's/AAAA/'"${SPECIES}"'/g'						> temp$$.gnu

gnuplot 	temp$$.gnu

cat	AAAA_trembl_length_cdf.gnu \
	| sed 's/AAAA/'"${SPECIES}"'/g'						> temp$$.gnu

gnuplot 	temp$$.gnu

rm	-f temp$$.gnu
