#
#	Copyright Les Hatton, 2013-.
#	Released under the GNU GPL.
#
#	Revision:	$Revision: 1.1 $
#	Date:	$Date: 2017/01/22 17:53:29 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced color dashed
set	output	"swissprot_length_cdf_combined.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Protein length' font "Helvetica,24"
show	xlabel

set	ylabel	'Frequency of proteins' font "Helvetica,24"
show	ylabel

set	xrange	[10:10000]
set	yrange	[1:1000000]

set	logscale	xy
set	key	right top
show key

#set	title	"Distribution of protein lengths in Trembl" font	"Times,24"
#show title

plot 'swissprot_length_cdf_combined.dat' index 0 title "ARCHAEA" with points lw 3,\
	'' index 1 title "BACTERIA" with points lw 3,\
	'' index 2 title "EUKARYOTA" with points lw 3,\
	'' index 3 title "VIRUSES" with points lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
