#!/usr/bin/perl
use	strict;
use	warnings;
use Getopt::Std;

my   (%opt);
my   ($infile,$outfile);

$infile		= '';
$outfile		= '';

getopts('i:o:', \%opt);

if ( (! defined $opt{i}) || (! defined $opt{o}) )
{
	die "-i infile and -o outfile are mandatory.";
}

$infile	= $opt{i};
$outfile	= $opt{o};

open(DAT, $infile) || die "infile = $infile, $!";
open(TOK, ">$outfile") || die "outfile = $outfile, $!";

while (my $line = <DAT>)
{
#
#	Include hyphenated words.
#
	while( $line =~ /([a-z\-]+)/ig )
	{
#
#		Sieve out words which start or end with a hyphen.
#

		my	$word	= lc $1;

		my	$len		= length $word;

		if ( $word eq '-' )						{ next; }

		my	%letterfreq	= ();

		if ( $len > 0 )
		{
			if ( ($len == 1) && ($word ne 'a') )	{ next; }

			foreach	my $char	(split "", $word)
			{
				++$letterfreq{$char};
			}

			my	$uniqueletters		= 0;

			foreach	my $uniqueletter	(sort keys %letterfreq)
			{
				++$uniqueletters;
			}

			printf TOK "%s,%d,%d\n", $word, $len, $uniqueletters; 
		}
	}
}

close(DAT);
close(TOK);

exit(0);
